:BEGIN
@ECHO OFF
CLS
IF "%1"=="init" GOTO ROM1MB
ECHO ---------------------------------
ECHO GRAVIS ULTRASOUND PnP   GB 1-2014
ECHO ---------------------------------
ECHO 1) Init with ROM set 1MB
ECHO 2) Init with RAM set Default 5MB
ECHO 3) Init with RAM set AMD 4MB
ECHO 4) Report RAM size
ECHO 5) Play Midi ARG[1] %1
ECHO 6) Play Midi MIDS
ECHO 7) Mixer 
ECHO 8) Install   UltraMID TSR 
ECHO 9) UnInstall UltraMID TSR 
ECHO.
ECHO x) Exit
ECHO ---------------------------------
ECHO Press the key of your choice :
ECHO ---------------------------------
CHOICE /C:123456789xq /N
IF ERRORLEVEL 11 GOTO END
IF ERRORLEVEL 10 GOTO END
IF ERRORLEVEL 9 GOTO UMIDU
IF ERRORLEVEL 8 GOTO UMID
IF ERRORLEVEL 7 GOTO MIXER
IF ERRORLEVEL 6 GOTO PLAYMIDS
IF ERRORLEVEL 5 GOTO PLAYMISC
IF ERRORLEVEL 4 GOTO DRAM
IF ERRORLEVEL 3 GOTO GSFULL4M
IF ERRORLEVEL 2 GOTO DEFAULT
IF ERRORLEVEL 1 GOTO ROM1MB

:ROM1MB
copy SOUND\ROM1MB.INI IW.INI 
GOTO INIT

:DEFAULT
copy SOUND\DEFAULT.INI IW.INI 
GOTO INIT

:GSFULL4M
copy SOUND\GSFULL4M.INI IW.INI 
GOTO INIT

:INIT
SET PATH=%PATH%;C:\DOSAPP\GUS
SET ULTRADIR=C:\DOSAPP\GUS
SET INTERWAVE=C:\DOSAPP\GUS\IW.INI
SET IWDIR=C:\DOSAPP\GUS
REM
REM ULTRASND=IO,DMA-REC,DMA-PLAY,IRQ,IRQ
SET ULTRASND=240,7,6,5,5
REM
REM ULTRA16=3xC (x=4 from IO 240), DMA-PLAY, IRQ1, 1, 0 
SET ULTRA16=34C,6,5,1,0
REM SET BLASTER=A240 I5 D1 T3
REM C:\DOSAPP\GUS\IWINIT.EXE -legacy
C:\DOSAPP\GUS\IWINIT.EXE
IF "%1"=="init" GOTO END
GOTO BEGIN

REM C:\DOSAPP\GUS\GETIWENV.EXE > C:\DOSAPP\GUS\SETIWENV.BAT
REM CALL C:\DOSAPP\GUS\SETIWENV.BAT

:MIXER
MIXER
GOTO BEGIN

:DRAM
RAMTEST\ULTRARAM.EXE
ECHO.
PAUSE
GOTO BEGIN

:PLAYMISC
ECHO Press N for the next track.
ECHO Press ESC to cancel playback and return to menu.
ECHO.
REM PLAY SOUND\TEST.MID
PLAY C:\MUSIC\MIDI\%1\*.MID
REM PAUSE
GOTO BEGIN

:PLAYMIDS
ECHO Press N for the next track.
ECHO Press ESC to cancel playback and return to menu.
ECHO.
REM PLAY SOUND\TEST.MID
PLAY MIDS\*.MID
GOTO BEGIN

:UMID
REM UMID\ULTRAMID -c
REM Midi volume 80 out of 127
UMID\ULTRAMID -m80
ECHO.
PAUSE
GOTO BEGIN

:UMIDU
UMID\ULTRAMID -f
ECHO.
PAUSE
GOTO BEGIN

:END
REM --- CLS makes the dosbox close 
CLS
